---
id: 617ace7d831f9c16a569b38a
title: Step 5
challengeType: 0
dashedName: step-5
---

# --description--

Give your `.wheel` selector a `max-height` and `max-width` property both set to `500px`.

# --hints--

Your `.wheel` selector should have a `max-height` property set to `500px`.

```js
assert(new __helpers.CSSHelp(document).getStyle('.wheel')?.maxHeight === '500px');
```

Your `.wheel` selector should have a `max-width` property set to `500px`.

```js
assert(new __helpers.CSSHelp(document).getStyle('.wheel')?.maxWidth === '500px');
```

# --seed--

## --seed-contents--

```html
<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8">
    <title> Learn CSS Animations by Building a Ferris Wheel</title>
    <link rel="stylesheet" href="./styles.css">
  </head>
  <body>
    <div class="wheel">
      <span class="line"></span>
      <span class="line"></span>
      <span class="line"></span>
      <span class="line"></span>
      <span class="line"></span>
      <span class="line"></span>

      <div class="cabin"></div>
      <div class="cabin"></div>
      <div class="cabin"></div>
      <div class="cabin"></div>
      <div class="cabin"></div>
      <div class="cabin"></div>
    </div>
  </body>
</html>
```

```css
--fcc-editable-region--
.wheel {
  border: 2px solid black;
  border-radius: 50%;
  margin-left: 50px;
  height: 55vw;
  width: 55vw;
}
--fcc-editable-region--
```
